Add code for repository configuration packages. (#11273)
* Add code for DEB repository config packages. * Add code for RPM repository config packages. And sync up Debian related code for consistency. * Add workflow to build and upload repoconfig packages. * Added repoconfig repository to repoconfig packages. This ensures we have a singe source of truth for them, and will also make switching between stable and nightly builds much easier. * Use base images instead of dedicated package builders. * Don0t prompt during DEB package builds. * Fix typos.
Austin S. Hemmelgarn committed
Jul 30, 2021 at 07:27 UTC
f6a771e735c64ea45d16559eb3d8377d81a80cee
19 files changed
+438
.github/workflows/repoconfig-packages.yml
new
+83
@@ -0,0 +1,83 @@
1
+---
2
+# Handles building of binary packages for the agent.
3
+name: Repository Packages
4
+on:
5
+ workflow_dispatch:
6
+ inputs:
7
+ distros:
8
+ name: Distros to Build
9
+ default: all
10
+ required: true
11
+env:
12
+ DO_NOT_TRACK: 1
13
+jobs:
14
+ build:
15
+ name: Build
16
+ runs-on: ubuntu-latest
17
+ env:
18
+ DO_NOT_TRACK: 1
19
+ DOCKER_CLI_EXPERIMENTAL: enabled
20
+ strategy:
21
+ # This needs to be kept in sync with the matrix in packaging.yml, but should only include the AMD64 lines.
22
+ matrix:
23
+ include:
24
+ - {distro: debian, version: "9", pkgclouddistro: debian/stretch, format: deb, base_image: debian, platform: linux/amd64, arch: amd64}
25
+ - {distro: debian, version: "10", pkgclouddistro: debian/buster, format: deb, base_image: debian, platform: linux/amd64, arch: amd64}
26
+ - {distro: ubuntu, version: "16.04", pkgclouddistro: ubuntu/xenial, format: deb, base_image: ubuntu, platform: linux/amd64, arch: amd64}
27
+ - {distro: ubuntu, version: "18.04", pkgclouddistro: ubuntu/bionic, format: deb, base_image: ubuntu, platform: linux/amd64, arch: amd64}
28
+ - {distro: ubuntu, version: "20.04", pkgclouddistro: ubuntu/focal, format: deb, base_image: ubuntu, platform: linux/amd64, arch: amd64}
29
+ - {distro: ubuntu, version: "20.10", pkgclouddistro: ubuntu/groovy, format: deb, base_image: ubuntu, platform: linux/amd64, arch: amd64}
30
+ - {distro: ubuntu, version: "21.04", pkgclouddistro: ubuntu/hirsute, format: deb, base_image: ubuntu, platform: linux/amd64, arch: amd64}
31
+ - {distro: centos, version: "7", pkgclouddistro: el/7, format: rpm, base_image: centos, platform: linux/amd64, arch: amd64}
32
+ - {distro: centos, version: "8", pkgclouddistro: el/8, format: rpm, base_image: centos, platform: linux/amd64, arch: amd64}
33
+ - {distro: fedora, version: "33", pkgclouddistro: fedora/33, format: rpm, base_image: fedora, platform: linux/amd64, arch: amd64}
34
+ - {distro: fedora, version: "34", pkgclouddistro: fedora/34, format: rpm, base_image: fedora, platform: linux/amd64, arch: amd64}
35
+ - {distro: opensuse, version: "15.2", pkgclouddistro: opensuse/15.2, format: rpm, base_image: opensuse/leap, platform: linux/amd64, arch: amd64}
36
+ - {distro: opensuse, version: "15.3", pkgclouddistro: opensuse/15.2, format: rpm, base_image: opensuse/leap, platform: linux/amd64, arch: amd64}
37
+ # We intentiaonally disable the fail-fast behavior so that a
38
+ # build failure for one version doesn't prevent us from publishing
39
+ # successfully built and tested packages for another version.
40
+ fail-fast: false
41
+ max-parallel: 8
42
+ steps:
43
+ - name: Checkout
44
+ if: contains(github.event.input.distros, join([matrix.distro, matrix.version], '-')) || github.event.input.distros == 'all'
45
+ uses: actions/checkout@v2
46
+ # Unlike normally, we do not need a deep clone or submodules for this.
47
+ - name: Build Packages
48
+ if: contains(github.event.input.distros, join([matrix.distro, matrix.version], '-')) || github.event.input.distros == 'all'
49
+ shell: bash
50
+ run: |
51
+ docker run -e DO_NOT_TRACK=1 --platform ${{ matrix.platform }} -v $PWD:/netdata ${{ matrix.base_image }}:${{ matrix.version }} /netdata/packaging/repoconfig/build-${{ matrix.format }}.sh
52
+ - name: Upload Packages
53
+ if: contains(github.event.input.distros, join([matrix.distro, matrix.version], '-')) || github.event.input.distros == 'all'
54
+ shell: bash
55
+ env:
56
+ PKG_CLOUD_TOKEN: ${{ secrets.PACKAGE_CLOUD_API_KEY }}
57
+ run: |
58
+ echo "Packages to upload:\n$(ls artifacts/*.${{ matrix.format }})"
59
+ for pkgfile in artifacts/*.${{ matrix.format }} ; do
60
+ .github/scripts/package_cloud_wrapper.sh yank ${{ secrets.PACKAGE_CLOUD_REPO }}/${{ matrix.pkgclouddistro }} ${pkgfile} || true
61
+ .github/scripts/package_cloud_wrapper.sh push ${{ secrets.PACKAGE_CLOUD_REPO }}/${{ matrix.pkgclouddistro }} ${pkgfile}
62
+ .github/scripts/package_cloud_wrapper.sh yank ${{ secrets.PACKAGE_CLOUD_REPO }}-edge/${{ matrix.pkgclouddistro }} ${pkgfile} || true
63
+ .github/scripts/package_cloud_wrapper.sh push ${{ secrets.PACKAGE_CLOUD_REPO }}-edge/${{ matrix.pkgclouddistro }} ${pkgfile}
64
+ .github/scripts/package_cloud_wrapper.sh yank ${{ secrets.PACKAGE_CLOUD_REPO }}-repoconfig/${{ matrix.pkgclouddistro }} ${pkgfile} || true
65
+ .github/scripts/package_cloud_wrapper.sh push ${{ secrets.PACKAGE_CLOUD_REPO }}-repoconfig/${{ matrix.pkgclouddistro }} ${pkgfile}
66
+ done
67
+ - name: Failure Notification
68
+ if: contains(github.event.input.distros, join([matrix.distro, matrix.version], '-')) || github.event.input.distros == 'all'
69
+ uses: rtCamp/action-slack-notify@v2
70
+ env:
71
+ SLACK_COLOR: 'danger'
72
+ SLACK_FOOTER:
73
+ SLACK_ICON_EMOJI: ':github-actions:'
74
+ SLACK_TITLE: 'Repository Package Build failed:'
75
+ SLACK_USERNAME: 'GitHub Actions'
76
+ SLACK_MESSAGE: "${{ matrix.pkgclouddistro }} ${{ matrix.version }} repository package build failed."
77
+ SLACK_WEBHOOK: ${{ secrets.SLACK_WEBHOOK_URL }}
78
+ if: >-
79
+ ${{
80
+ failure()
81
+ && github.event_name != 'pull_request'
82
+ && startsWith(github.ref, 'refs/heads/master')
83
+ }}
.gitignore
+3
@@ -217,3 +217,6 @@ externaldeps/
217
# vim sessions
218
Session.vim
219
Session.*.vim
220
+
221
+# Special exceptions
222
+!packaging/repoconfig/Makefile
packaging/repoconfig/Makefile
new
+31
@@ -0,0 +1,31 @@
1
+FILES = netdata.list netdata-edge.list netdata-archive-keyring.gpg netdata-edge-archive-keyring.gpg netdata-repoconfig-archive-keyring.gpg
2
+
3
+all: $(FILES)
4
+
5
+netdata.list: netdata.list.in
6
+ cp netdata.list.in netdata.list
7
+ set -a && . /etc/os-release && sed -i -e "s/__DISTRO__/$${ID}/" -e "s/__SUITE__/$${VERSION_CODENAME}/" -e "s/__VARIANT__//" netdata.list
8
+
9
+netdata-edge.list: netdata.list.in
10
+ cp netdata.list.in netdata-edge.list
11
+ set -a && . /etc/os-release && sed -i -e "s/__DISTRO__/$${ID}/" -e "s/__SUITE__/$${VERSION_CODENAME}/" -e "s/__VARIANT__/-edge/" netdata-edge.list
12
+
13
+netdata-archive-keyring.gpg:
14
+ curl -L https://packagecloud.io/netdata/netdata/gpgkey | gpg --dearmor > netdata-archive-keyring.gpg
15
+
16
+netdata-edge-archive-keyring.gpg:
17
+ curl -L https://packagecloud.io/netdata/netdata-edge/gpgkey | gpg --dearmor > netdata-edge-archive-keyring.gpg
18
+
19
+netdata-repoconfig-archive-keyring.gpg:
20
+ curl -L https://packagecloud.io/netdata/netdata-repoconfig/gpgkey | gpg --dearmor > netdata-repoconfig-archive-keyring.gpg
21
+
22
+debian/tmp:
23
+ mkdir -p debian/tmp
24
+
25
+install: $(FILES) debian/tmp
26
+ cp $(FILES) debian/tmp/
27
+
28
+clean:
29
+ rm -f $(FILES)
30
+
31
+.PHONY: clean
packaging/repoconfig/build-deb.sh
new
+32
@@ -0,0 +1,32 @@
1
+#!/bin/sh
2
+
3
+# Needed because dpkg is stupid and tries to configure things interactively if it sees a terminal.
4
+export DEBIAN_FRONTEND=noninteractive
5
+
6
+# Pull in our dependencies
7
+apt update || exit 1
8
+apt upgrade -y || exit 1
9
+apt install -y build-essential debhelper curl gnupg || exit 1
10
+
11
+# Run the builds in an isolated source directory.
12
+# This removes the need for cleanup, and ensures anything the build does
13
+# doesn't muck with the user's sources.
14
+cp -a /netdata/packaging/repoconfig /usr/src || exit 1
15
+cd /usr/src/repoconfig || exit 1
16
+
17
+# pre/post options are after 1.18.8, is simpler to just check help for their existence than parsing version
18
+if dpkg-buildpackage --help | grep "\-\-post\-clean" 2> /dev/null > /dev/null; then
19
+ dpkg-buildpackage --post-clean --pre-clean -b -us -uc || exit 1
20
+else
21
+ dpkg-buildpackage -b -us -uc || exit 1
22
+fi
23
+
24
+# Copy the built packages to /netdata/artifacts (which may be bind-mounted)
25
+# Also ensure /netdata/artifacts exists and create it if it doesn't
26
+[ -d /netdata/artifacts ] || mkdir -p /netdata/artifacts
27
+cp -a /usr/src/*.deb /netdata/artifacts/ || exit 1
28
+
29
+# Correct ownership of the artifacts.
30
+# Without this, the artifacts directory and it's contents end up owned
31
+# by root instead of the local user on Linux boxes
32
+chown -R --reference=/netdata /netdata/artifacts
packaging/repoconfig/build-rpm.sh
new
+26
@@ -0,0 +1,26 @@
1
+#!/bin/sh
2
+
3
+prefix='/root/rpmbuild'
4
+
5
+if command -v dnf > /dev/null ; then
6
+ dnf distro-sync -y --nodocs || exit 1
7
+ dnf install -y --nodocs --setopt=install_weak_deps=False rpm-build || exit 1
8
+elif command -v yum > /dev/null ; then
9
+ yum distro-sync -y || exit 1
10
+ yum install -y rpm-build || exit 1
11
+elif command -v zypper > /dev/null ; then
12
+ zypper update -y || exit 1
13
+ zypper install -y rpm-build || exit 1
14
+ prefix="/usr/src/packages"
15
+fi
16
+
17
+mkdir -p "${prefix}/BUILD" "${prefix}/RPMS" "${prefix}/SRPMS" "${prefix}/SPECS" "${prefix}/SOURCES" || exit 1
18
+cp -a /netdata/packaging/repoconfig/netdata-repo.spec "${prefix}/SPECS" || exit 1
19
+cp -a /netdata/packaging/repoconfig/* "${prefix}/SOURCES/" || exit 1
20
+
21
+rpmbuild -bb --rebuild "${prefix}/SPECS/netdata-repo.spec" || exit 1
22
+
23
+[ -d /netdata/artifacts ] || mkdir -p /netdata/artifacts
24
+find "${prefix}/RPMS/" -type f -name '*.rpm' -exec cp '{}' /netdata/artifacts \; || exit 1
25
+
26
+chown -R --reference=/netdata /netdata/artifacts
packaging/repoconfig/debian/changelog
new
+6
@@ -0,0 +1,6 @@
1
+netdata-repo (1-1) unstable; urgency=medium
2
+
3
+ * Initial Release
4
+
5
+ -- Netdata Builder <bot@netdata.cloud> Mon, 14 Jun 2021 08:00:00 -0500
6
+
packaging/repoconfig/debian/compat
new
+1
@@ -0,0 +1 @@
1
+10
packaging/repoconfig/debian/control
new
+19
@@ -0,0 +1,19 @@
1
+Source: netdata-repo
2
+Section: net
3
+Priority: optional
4
+Maintainer: Netdata Builder <bot@netdata.cloud>
5
+Standards-Version: 3.9.6
6
+Build-Depends: debhelper (>= 10), curl, gnupg
7
+Homepage: https://netdata.cloud
8
+
9
+Package: netdata-repo
10
+Architecture: all
11
+Depends: apt-transport-https, debian-archive-keyring, gnupg
12
+Conflicts: netdata-repo-edge
13
+Description: Configuration for the official Netdata Stable package repository.
14
+
15
+Package: netdata-repo-edge
16
+Architecture:all
17
+Depends: apt-transport-https, debian-archive-keyring, gnupg
18
+Conflicts: netdata-repo
19
+Description: Configuration for the official Netdata Edge package repository.
packaging/repoconfig/debian/copyright
new
+10
@@ -0,0 +1,10 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: Netdata
3
+Upstream-Contact: Costa Tsaousis <costa@netdata.cloud>
4
+Source: https://github.com/netdata/netdata
5
+
6
+Files: *
7
+Copyright: 2021 Netdata Inc.
8
+License: GPL-3+
9
+ On Debian systems, the complete text of the GNU General Public
10
+ License version 3 can be found in /usr/share/common-licenses/GPL-3.
packaging/repoconfig/debian/rules
new
+21
@@ -0,0 +1,21 @@
1
+#!/usr/bin/make -f
2
+
3
+TOP = $(CURDIR)/debian/netdata-repo
4
+TOP_EDGE = $(CURDIR)/debian/netdata-edge-repo
5
+TEMPTOP = $(CURDIR)/debian/tmp
6
+
7
+%:
8
+ dh $@
9
+
10
+override_dh_configure:
11
+ true
12
+
13
+override_dh_install:
14
+ mkdir -p $(TOP)/etc/apt/sources.list.d $(TOP)/etc/apt/trusted.gpg.d/
15
+ mv -f $(TEMPTOP)/netdata.list $(TOP)/etc/apt/sources.list.d
16
+ mv -f $(TEMPTOP)/netdata-archive-keyring.gpg $(TOP)/etc/apt/trusted.gpg.d
17
+ cp $(TEMPTOP)/netdata-repoconfig-archive-keyring.gpg $(TOP)/etc/apt/trusted.gpg.d
18
+ mkdir -p $(TOP_EDGE)/etc/apt/sources.list.d $(TOP_EDGE)/etc/apt/trusted.gpg.d/
19
+ mv -f $(TEMPTOP)/netdata-edge.list $(TOP_EDGE)/etc/apt/sources.list.d
20
+ mv -f $(TEMPTOP)/netdata-edge-archive-keyring.gpg $(TOP_EDGE)/etc/apt/trusted.gpg.d
21
+ cp $(TEMPTOP)/netdata-repoconfig-archive-keyring.gpg $(TOP_EDGE)/etc/apt/trusted.gpg.d
packaging/repoconfig/debian/source/format
new
+1
@@ -0,0 +1 @@
1
+3.0 (quilt)
packaging/repoconfig/netdata-edge.repo.centos
new
+19
@@ -0,0 +1,19 @@
1
+[netdata-edge]
2
+name=Netdata Edge
3
+baseurl=https://packagecloud.io/netdata/netdata-edge/el/$releasever/$basearch
4
+repo_gpgcheck=1
5
+gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata-edge/gpgkey
7
+enabled=1
8
+sslverify=1
9
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repository Config
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/el/$releasever/$basearch
14
+repo_gpgcheck=1
15
+gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+sslverify=1
19
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
packaging/repoconfig/netdata-edge.repo.fedora
new
+19
@@ -0,0 +1,19 @@
1
+[netdata-edge]
2
+name=Netdata Edge
3
+baseurl=https://packagecloud.io/netdata/netdata-edge/fedora/$releasever/$basearch
4
+repo_gpgcheck=1
5
+gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata-edge/gpgkey
7
+enabled=1
8
+sslverify=1
9
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repository Config
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/fedora/$releasever/$basearch
14
+repo_gpgcheck=1
15
+gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+sslverify=1
19
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
packaging/repoconfig/netdata-edge.repo.suse
new
+19
@@ -0,0 +1,19 @@
1
+[netdata-edge]
2
+name=Netdata Edge
3
+baseurl=https://packagecloud.io/netdata/netdata-edge/opensuse/$releasever/$basearch
4
+repo_gpgcheck=1
5
+pkg_gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata-edge/gpgkey
7
+enabled=1
8
+type=rpm-md
9
+autorefresh=1
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repoconfig
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/opensuse/$releasever/$basearch
14
+repo_gpgcheck=1
15
+pkg_gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+type=rpm-md
19
+autorefresh=1
packaging/repoconfig/netdata-repo.spec
new
+89
@@ -0,0 +1,89 @@
1
+%{?rhel:%global centos_ver %rhel}
2
+
3
+Name: netdata-repo
4
+Version: 1
5
+Release: 1
6
+Summary: Netdata stable repositories configuration.
7
+
8
+Group: System Environment/Base
9
+License: GPLv2
10
+
11
+Source0: netdata.repo.fedora
12
+Source1: netdata-edge.repo.fedora
13
+Source2: netdata.repo.suse
14
+Source3: netdata-edge.repo.suse
15
+Source4: netdata.repo.centos
16
+Source5: netdata-edge.repo.centos
17
+
18
+BuildArch: noarch
19
+
20
+# Overlapping file installs
21
+Conflicts: netdata-repo-edge
22
+
23
+%description
24
+This package contains the official Netdata package repository configuration for stable versions of Netdata.
25
+
26
+%prep
27
+%setup -q -c -T
28
+
29
+%if 0%{?fedora}
30
+install -pm 644 %{SOURCE0} ./netdata.repo
31
+install -pm 644 %{SOURCE1} ./netdata-edge.repo
32
+%endif
33
+
34
+%if 0%{?suse_version}
35
+install -pm 644 %{SOURCE2} ./netdata.repo
36
+install -pm 644 %{SOURCE3} ./netdata-edge.repo
37
+%endif
38
+
39
+%if 0%{?centos_ver}
40
+install -pm 644 %{SOURCE4} ./netdata.repo
41
+install -pm 644 %{SOURCE5} ./netdata-edge.repo
42
+%endif
43
+
44
+%build
45
+true
46
+
47
+%install
48
+rm -rf $RPM_BUILD_ROOT
49
+
50
+%if 0%{?suse_version}
51
+install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/zypp/repos.d
52
+install -pm 644 netdata.repo $RPM_BUILD_ROOT%{_sysconfdir}/zypp/repos.d
53
+install -pm 644 netdata-edge.repo $RPM_BUILD_ROOT%{_sysconfdir}/zypp/repos.d
54
+%else
55
+install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
56
+install -pm 644 netdata.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
57
+install -pm 644 netdata-edge.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
58
+%endif
59
+
60
+%clean
61
+rm -rf $RPM_BUILD_ROOT
62
+
63
+%files
64
+%if 0%{?suse_version}
65
+%attr(644,root,root) /etc/zypp/repos.d/netdata.repo
66
+%else
67
+%attr(644,root,root) /etc/yum.repos.d/netdata.repo
68
+%endif
69
+
70
+%package edge
71
+Summary: Netdata nightly repositories configuration.
72
+Group: System Environment/Base
73
+
74
+# Overlapping file installs
75
+Conflicts: netdata-repo
76
+
77
+%description edge
78
+This package contains the official Netdata package repository configuration for nightly versions of Netdata.
79
+
80
+%files edge
81
+%if 0%{?suse_version}
82
+%attr(644,root,root) /etc/zypp/repos.d/netdata-edge.repo
83
+%else
84
+%attr(644,root,root) /etc/yum.repos.d/netdata-edge.repo
85
+%endif
86
+
87
+%changelog
88
+* Mon Jun 14 2021 Austin Hemmelgarn <austin@netdata.cloud> 1-1
89
+- Initial revision
packaging/repoconfig/netdata.list.in
new
+2
@@ -0,0 +1,2 @@
1
+deb https://packagecloud.io/netdata/netdata__VARIANT__/__DISTRO__/ __SUITE__ main
2
+deb https://packagecloud.io/netdata/netdata-repoconfig/__DISTRO__/ __SUITE__ main
packaging/repoconfig/netdata.repo.centos
new
+19
@@ -0,0 +1,19 @@
1
+[netdata]
2
+name=Netdata
3
+baseurl=https://packagecloud.io/netdata/netdata/el/$releasever/$basearch
4
+repo_gpgcheck=1
5
+gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata/gpgkey
7
+enabled=1
8
+sslverify=1
9
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repository Config
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/el/$releasever/$basearch
14
+repo_gpgcheck=1
15
+gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+sslverify=1
19
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
packaging/repoconfig/netdata.repo.fedora
new
+19
@@ -0,0 +1,19 @@
1
+[netdata]
2
+name=Netdata
3
+baseurl=https://packagecloud.io/netdata/netdata/fedora/$releasever/$basearch
4
+repo_gpgcheck=1
5
+gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata/gpgkey
7
+enabled=1
8
+sslverify=1
9
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repository Config
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/fedora/$releasever/$basearch
14
+repo_gpgcheck=1
15
+gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+sslverify=1
19
+sslcacert=/etc/pki/tls/certs/ca-bundle.crt
packaging/repoconfig/netdata.repo.suse
new
+19
@@ -0,0 +1,19 @@
1
+[netdata]
2
+name=Netdata
3
+baseurl=https://packagecloud.io/netdata/netdata/opensuse/$releasever/$basearch
4
+repo_gpgcheck=1
5
+pkg_gpgcheck=0
6
+gpgkey=https://packagecloud.io/netdata/netdata/gpgkey
7
+enabled=1
8
+type=rpm-md
9
+autorefresh=1
10
+
11
+[netdata-repoconfig]
12
+name=Netdata Repoconfig
13
+baseurl=https://packagecloud.io/netdata/netdata-repoconfig/opensuse/$releasever/$basearch
14
+repo_gpgcheck=1
15
+pkg_gpgcheck=0
16
+gpgkey=https://packagecloud.io/netdata/netdata-repoconfig/gpgkey
17
+enabled=1
18
+type=rpm-md
19
+autorefresh=1